summaryrefslogtreecommitdiffstats
path: root/debian/tests/cfgtool
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/cfgtool')
-rwxr-xr-xdebian/tests/cfgtool9
1 files changed, 9 insertions, 0 deletions
diff --git a/debian/tests/cfgtool b/debian/tests/cfgtool
new file mode 100755
index 0000000..2f1bdcb
--- /dev/null
+++ b/debian/tests/cfgtool
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+OUTPUT="${AUTOPKGTEST_ARTIFACTS:-.}/cfgtool.txt"
+
+corosync-cfgtool -s >"$OUTPUT"
+cat "$OUTPUT"
+grep -q '^[[:blank:]]*nodeid:[[:blank:]]*1:[[:blank:]]*localhost$' "$OUTPUT"